### Method

# Gtk.PrintSettings.get_length

#### Declaration [src]

    double
    gtk_print_settings_get_length (
      GtkPrintSettings* settings,
      const char* key,
      GtkUnit unit
    )

#### Description [src]

Returns the value associated with `key`, interpreted as a length.

The returned value is converted to `units`.

#### Parameters

`key` | `const char*`
| a key
| Ownership is not transferred to the callee
| The string is a NUL terminated UTF-8 string
`unit` | `GtkUnit`
| the unit of the return value

#### Return value

Returns: `double`
the length value of `key`, converted to `unit`